Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network243.104.167.0/24
Usable hosts254
Subnet mask255.255.255.0
Addresses256
Network address
243.104.167.0
Broadcast address
243.104.167.255
First usable
243.104.167.1
Last usable
243.104.167.254
Usable hosts
254 (256 less the network and broadcast addresses)
Subnet mask
255.255.255.0
Wildcard mask
0.0.0.255 (Cisco ACLs, OSPF)
Prefix length
/24
Type
Reserved 240.0.0.0/4
Future use; not usable on most systems
Old class
E (reserved)
As numbers
Hex F368A700 · Integer 4083721984 to 4083722239
Reverse DNS zone
167.104.243.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11110011.01101000.10100111..00000000243.104.167.0
Subnet mask11111111.11111111.11111111..00000000255.255.255.0
Network11110011.01101000.10100111..00000000243.104.167.0
Broadcast11110011.01101000.10100111..11111111243.104.167.255
Split into smaller subnets/30

243.104.167.0/24 makes 64 subnets of /30.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1243.104.167.0/30243.104.167.1 to 243.104.167.2243.104.167.32
2243.104.167.4/30243.104.167.5 to 243.104.167.6243.104.167.72
3243.104.167.8/30243.104.167.9 to 243.104.167.10243.104.167.112
4243.104.167.12/30243.104.167.13 to 243.104.167.14243.104.167.152
5243.104.167.16/30243.104.167.17 to 243.104.167.18243.104.167.192
6243.104.167.20/30243.104.167.21 to 243.104.167.22243.104.167.232
7243.104.167.24/30243.104.167.25 to 243.104.167.26243.104.167.272
8243.104.167.28/30243.104.167.29 to 243.104.167.30243.104.167.312
9243.104.167.32/30243.104.167.33 to 243.104.167.34243.104.167.352
10243.104.167.36/30243.104.167.37 to 243.104.167.38243.104.167.392
11243.104.167.40/30243.104.167.41 to 243.104.167.42243.104.167.432
12243.104.167.44/30243.104.167.45 to 243.104.167.46243.104.167.472
13243.104.167.48/30243.104.167.49 to 243.104.167.50243.104.167.512
14243.104.167.52/30243.104.167.53 to 243.104.167.54243.104.167.552
15243.104.167.56/30243.104.167.57 to 243.104.167.58243.104.167.592
16243.104.167.60/30243.104.167.61 to 243.104.167.62243.104.167.632
17243.104.167.64/30243.104.167.65 to 243.104.167.66243.104.167.672
18243.104.167.68/30243.104.167.69 to 243.104.167.70243.104.167.712
19243.104.167.72/30243.104.167.73 to 243.104.167.74243.104.167.752
20243.104.167.76/30243.104.167.77 to 243.104.167.78243.104.167.792
21243.104.167.80/30243.104.167.81 to 243.104.167.82243.104.167.832
22243.104.167.84/30243.104.167.85 to 243.104.167.86243.104.167.872
23243.104.167.88/30243.104.167.89 to 243.104.167.90243.104.167.912
24243.104.167.92/30243.104.167.93 to 243.104.167.94243.104.167.952
25243.104.167.96/30243.104.167.97 to 243.104.167.98243.104.167.992
26243.104.167.100/30243.104.167.101 to 243.104.167.102243.104.167.1032
27243.104.167.104/30243.104.167.105 to 243.104.167.106243.104.167.1072
28243.104.167.108/30243.104.167.109 to 243.104.167.110243.104.167.1112
29243.104.167.112/30243.104.167.113 to 243.104.167.114243.104.167.1152
30243.104.167.116/30243.104.167.117 to 243.104.167.118243.104.167.1192
31243.104.167.120/30243.104.167.121 to 243.104.167.122243.104.167.1232
32243.104.167.124/30243.104.167.125 to 243.104.167.126243.104.167.1272
33243.104.167.128/30243.104.167.129 to 243.104.167.130243.104.167.1312
34243.104.167.132/30243.104.167.133 to 243.104.167.134243.104.167.1352
35243.104.167.136/30243.104.167.137 to 243.104.167.138243.104.167.1392
36243.104.167.140/30243.104.167.141 to 243.104.167.142243.104.167.1432
37243.104.167.144/30243.104.167.145 to 243.104.167.146243.104.167.1472
38243.104.167.148/30243.104.167.149 to 243.104.167.150243.104.167.1512
39243.104.167.152/30243.104.167.153 to 243.104.167.154243.104.167.1552
40243.104.167.156/30243.104.167.157 to 243.104.167.158243.104.167.1592
41243.104.167.160/30243.104.167.161 to 243.104.167.162243.104.167.1632
42243.104.167.164/30243.104.167.165 to 243.104.167.166243.104.167.1672
43243.104.167.168/30243.104.167.169 to 243.104.167.170243.104.167.1712
44243.104.167.172/30243.104.167.173 to 243.104.167.174243.104.167.1752
45243.104.167.176/30243.104.167.177 to 243.104.167.178243.104.167.1792
46243.104.167.180/30243.104.167.181 to 243.104.167.182243.104.167.1832
47243.104.167.184/30243.104.167.185 to 243.104.167.186243.104.167.1872
48243.104.167.188/30243.104.167.189 to 243.104.167.190243.104.167.1912
49243.104.167.192/30243.104.167.193 to 243.104.167.194243.104.167.1952
50243.104.167.196/30243.104.167.197 to 243.104.167.198243.104.167.1992
51243.104.167.200/30243.104.167.201 to 243.104.167.202243.104.167.2032
52243.104.167.204/30243.104.167.205 to 243.104.167.206243.104.167.2072
53243.104.167.208/30243.104.167.209 to 243.104.167.210243.104.167.2112
54243.104.167.212/30243.104.167.213 to 243.104.167.214243.104.167.2152
55243.104.167.216/30243.104.167.217 to 243.104.167.218243.104.167.2192
56243.104.167.220/30243.104.167.221 to 243.104.167.222243.104.167.2232
57243.104.167.224/30243.104.167.225 to 243.104.167.226243.104.167.2272
58243.104.167.228/30243.104.167.229 to 243.104.167.230243.104.167.2312
59243.104.167.232/30243.104.167.233 to 243.104.167.234243.104.167.2352
60243.104.167.236/30243.104.167.237 to 243.104.167.238243.104.167.2392
61243.104.167.240/30243.104.167.241 to 243.104.167.242243.104.167.2432
62243.104.167.244/30243.104.167.245 to 243.104.167.246243.104.167.2472
63243.104.167.248/30243.104.167.249 to 243.104.167.250243.104.167.2512
64243.104.167.252/30243.104.167.253 to 243.104.167.254243.104.167.2552

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses